com.ihr.xbrl.transform.target

## Class XBRLExcelTransformationResult

- java.lang.Object
- - com.ihr.xbrl.transform.target.XBRLExcelTransformationResult

- All Implemented Interfaces:
    XBRLTransformationResult

      public class XBRLExcelTransformationResult
      extends java.lang.Object
      implements XBRLTransformationResult

  Generates a new Excel file, loads a template excel and populates the content according to a mapping file .
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLExcelTransformationResult(org.apache.poi.ss.usermodel.Workbook wb)` Instantiates a new XBRL excel transformation result.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getResult()` Obtains the result of the loading process as an object.
    `void` | `sendToResult(javax.xml.transform.Result outputTarget)` Serializes the generated document to the next component in the XML pipe (Result object) This method will be called once per document.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLExcelTransformationResult

          public XBRLExcelTransformationResult(org.apache.poi.ss.usermodel.Workbook wb)

      Instantiates a new XBRL excel transformation result.
      Parameters:
        `wb` - the wb

  - ### Method Detail

    - #### getResult

          public java.lang.Object getResult()
                                     throws javax.xml.transform.TransformerException

      Description copied from interface: `XBRLTransformationResult`
      Obtains the result of the loading process as an object. The object is normally a document of the target format.
      Specified by:
        `getResult` in interface `XBRLTransformationResult`
      Returns:
        Object any type of object. Each driver must document what they return.
      Throws:
        `javax.xml.transform.TransformerException` - if something goes wrong or the driver does not support this output method

    - #### sendToResult

          public void sendToResult(javax.xml.transform.Result outputTarget)
                            throws javax.xml.transform.TransformerException

      Description copied from interface: `XBRLTransformationResult`
      Serializes the generated document to the next component in the XML pipe (Result object) This method will be called once per document.
      Specified by:
        `sendToResult` in interface `XBRLTransformationResult`
      Parameters:
        `outputTarget` - Result
      Throws:
        `javax.xml.transform.TransformerException` - if something goes wrong or the driver does not support this output method